﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// my namespace
using Windows.UI.Popups;
using Windows.Devices.Sms;

namespace ClientApplication
{
    public sealed partial class MainPage : ClientApplication.Common.LayoutAwarePage
    {
        // property used to store the auth code
        String AuthenticationCode;

        public MainPage()
        {
            this.InitializeComponent();
        }

        private async void buttonLogin_Click(object sender, RoutedEventArgs e)
        {
            MessageDialog result;

            // Controlliamo se i codici combaciano
            if (AuthenticationCode == passwordCode.Password)
            {
                result = new MessageDialog("Login succeded!");
                await result.ShowAsync();
            }
            else
            {
                result = new MessageDialog("Login failed!");
                await result.ShowAsync();
            }
        }

        private async void pageRoot_Loaded(object sender, RoutedEventArgs e)
        {
            
            //SmsAuthServiceClient authcodeClient = new SmsAuthServiceClient();
            MessageDialog authCode;

            //AuthenticationCode = await authcodeClient.CalculateCodeWithIterationNumberAsync("password", 1993, 6);
            authCode = new MessageDialog(string.Format("Your authentication code id: {0}", AuthenticationCode), "Auth. Code:");
            await authCode.ShowAsync();

            #region Send our auth code via SMS

            //SmsDevice modem = await SmsDevice.GetDefaultAsync();
            //SmsTextMessage messageCode = new SmsTextMessage();
            //messageCode.To = "555-0123";
            //messageCode.Body = string.Format("Your authentication code is: {0}", AuthenticationCode);
            //await modem.SendMessageAsync(messageCode);

            #endregion
        }
    }
}
