﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

// My namespaces
using System.Threading.Tasks;

namespace WCFServiceWebRoleSmsAuth
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IService1" in both code and config file together.
    [ServiceContract]
    public interface ISmsAuthService
    {
        [OperationContract]
        Task<String> CalculateCodeWithIterationNumber(String secretKey, Int64 iterationNumber, Int32 digits = 6);

        [OperationContract]
        Task<String> CalculateCodeWithTime(String secretKey);
    }
}
